SND_SOC_DAI_SET_PLL(9)

NAME
snd_soc_dai_set_pll - configure DAI PLL.

SYNOPSIS

int snd_soc_dai_set_pll(struct snd_soc_dai * dai, int pll_id, int source, unsigned int freq_in, unsigned int freq_out);

ARGUMENTS

dai
    DAI

pll_id
    DAI specific PLL ID

source
    DAI specific source for the PLL

freq_in
    PLL input clock frequency in Hz

freq_out
    requested PLL output clock frequency in Hz

DESCRIPTION

Configures and enables PLL to generate output clock based on input clock.

COPYRIGHT